Name: mreg-cli
Version: 1.4.0
Release: 1%{?dist}
Summary: Command-line interface for mreg

# Prevent conflicts between ELF files from different packages
# built with the same version of PyInstaller + Python
%global _build_id_links none

Group: System Environment/Base
License: GPLv3
URL: https://github.com/unioslo/mreg-cli
Source0: mreg-cli
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Command-line interface for mreg.

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{_sourcedir}/mreg-cli %{buildroot}%{_bindir}/mreg-cli

%files
%{_bindir}/mreg-cli


%changelog
* Mon Jun 23 2025 Peder Hovdan Andresen <pederhan@uio.no> - 1.4.0-1
- Upstream changes: New version 1.4.0

* Tue May 20 2025 Peder Hovdan Andresen <pederhan@uio.no> - 1.3.0-1
- Upstream changes: New version 1.3.0

* Thu Jan 30 2025 Peder Hovdan Andresen <pederhan@usit.uio.no> - 1.2.4-1
- Upstream changes: New version 1.2.4

* Mon Dec 16 2024 Peder Hovdan Andresen <pederhan@usit.uio.no> - 1.2.3-1
- Upstream changes: New version 1.2.3

* Mon Dec 09 2024 Peder Hovdan Andresen <pederhan@usit.uio.no> - 1.2.2-1
- Upstream changes: New version 1.2.2

* Mon Dec 02 2024 Peder Hovdan Andresen <pederhan@usit.uio.no> - 1.2.1-1
- Upstream changes: New version 1.2.1

* Mon Nov 25 2024 Peder Hovdan Andresen <pederhan@usit.uio.no> - 1.2.0-1
- Upstream changes: New version 1.2.0

* Tue Nov 19 2024 Peder Hovdan Andresen <pederhan@usit.uio.no> - 1.1.0-1
- Upstream changes: New version 1.1.0

* Mon Oct 21 2024 Peder Hovdan Andresen <pederhan@usit.uio.no> - 1.0.1-1
- Upstream changes: New version 1.0.1

* Mon Oct 14 2024 Peder Hovdan Andresen <pederhan@usit.uio.no> - 1.0.0-2
- Resolve Build ID conflicts

* Sat Oct 12 2024 Peder Hovdan Andresen <pederhan@usit.uio.no> - 1.0.0-1
- Rewrite with Pydantic.
- Dist Python 3.12 binary with PyInstaller.

* Mon Jan 29 2024 Peder Hovdan Andresen <pederhan@usit.uio.no> - 0.9.22-4
- Upstream changes: Fix broken help commands.

* Mon Jan 08 2024 Peder Hovdan Andresen <pederhan@usit.uio.no> - 0.9.22-3
- Upstream changes: Fix broken network find command.

* Fri Dec 22 2023 Peder Hovdan Andresen <pederhan@usit.uio.no> - 0.9.22-2
- Upstream changes: Fix accidental removal of bacnet commands

* Mon Dec 18 2023 Peder Hovdan Andresen <pederhan@usit.uio.no> - 0.9.22
- Improve output filtering and fix bugs related to it.

* Wed Nov 29 2023 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.9.21
- Upstream changes: Fixed a bug introduced in the previous update

* Mon Nov 27 2023 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.9.20
- Upstream changes: New filter feature and various bugfixes

* Thu Apr 13 2023 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.9.19
- Upstream changes: exit as alias for quit

* Tue Mar 28 2023 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.9.18-2
- Fix a Koji build error about Python package version 0.0.0

* Wed Nov  23 2022 Peder Hovdan Andresen <pederhan@uio.no> - 0.9.18-1
- Remove typing-extensions imports on runtime

* Wed Nov  23 2022 Peder Hovdan Andresen <pederhan@uio.no> - 0.9.17-3
- Add typing-extensions as python3dist dependency for RHEL7

* Wed Nov  23 2022 Peder Hovdan Andresen <pederhan@uio.no> - 0.9.17-2
- Attempt to fix typing extensions dependency for RHEL7

* Tue Nov  1 2022 Peder Hovdan Andresen <pederhan@uio.no> - 0.9.17-1
- Add network find command

* Mon Nov  1 2021 Trond Hasle Amundsen <trondham@uio.no> - 0.9.16-2
- BuildRequire python3-setuptools for Fedora >= 35

* Tue May 18 2021 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.9.16-1
- Upstream changes: Warning if creating CNAME in delegated zone

* Fri Apr 30 2021 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.9.15-1
- Upstream changes: New feature: BACnet ID

* Fri Apr 16 2021 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.9.14-1
- Upstream bugfixes

* Fri Jan 22 2021 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.9.13-1
- Upstream bugfix.

* Mon Jan 18 2021 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.9.12-1
- Upstream changes: Label commands, verify characters in hostnames

* Tue Dec 22 2020 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.9.11-1
- Upstream fix: Properly urlencode request parameters to the API

* Wed Nov 4 2020 Marius Bakke <marius.bakke@usit.uio.no> - 0.9.10-1
- Lots of fixes

* Tue Nov 5 2019 Øyvind Kolbu <oyvind.kolbu@usit.uio.no> - 0.9.8-1
- Added host history

* Tue Oct  8 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.9.7-5
- Add Requires:uio-python3-prompt-toolkit

* Wed Jun 19 2019 Øyvind Kolbu <oyvind.kolbu@usit.uio.no> - 0.9.7-1
- initial spec
